<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class RelacescoposequipFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function deletRelacEscopoEquip($param){
        $sql="DELETE FROM FCM_RELACESCOPOSEQUIP
               WHERE NREQUIPAMENTO = :NREQUIPAMENTO";
        $std = $this->connection->prepare($sql);
        $std->execute($param);
    }
    
    public function insertRelacEscopoEquip($param){
        $sql="INSERT INTO FCM_RELACESCOPOSEQUIP (RELACESCOPOSEQUIP, NREQUIPAMENTO, NRESCOPOMANUT, NRORG, IDATIVO, DTINCLUSAO)
              VALUES (:RELACESCOPOSEQUIP, :NREQUIPAMENTO, :NRESCOPOMANUT, :NRORG, 'S', SYSDATE)";
        $std = $this->connection->prepare($sql);
        $std->execute($param);
    }
}

?>